package com.echepei.enums;

/**
 * @author Rain
 */

public enum MailTypeEnum {


    /**
     * QQ
     */
    QQ(100, "QQ邮箱", "smtp.qq.com", 587),

    /**
     * 网易
     */
    NET_EASE(200, "网易邮箱", "smtp.163.com", 994),

    /**
     * QQ
     */
    MAIL_263(300, "263邮箱", "smtp.263.net", 465);

    /**
     * 邮箱类型
     */
    public final Integer mailType;

    /**
     * 邮箱类型名称
     */
    public final String mailTypeName;

    /**
     * 邮箱smtp主机
     */
    public final String mailSmtpHost;

    /**
     * 邮箱smtp端口
     */
    public final Integer mailSmtpPort;


    MailTypeEnum(Integer mailType, String mailTypeName, String mailSmtpHost, Integer mailSmtpPort) {
        this.mailType = mailType;
        this.mailTypeName = mailTypeName;
        this.mailSmtpHost = mailSmtpHost;
        this.mailSmtpPort = mailSmtpPort;
    }

    public static MailTypeEnum getMailTypeEnum(Integer mailType) {
        for (MailTypeEnum mailTypeEnum : MailTypeEnum.values()) {
            if (mailTypeEnum.mailType.equals(mailType)) {
                return mailTypeEnum;
            }
        }
        return null;
    }
}
